﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_DELEGATESETTING') 
 CREATE TABLE T_WF_DELEGATESETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FASSIGNORID BIGINT DEFAULT 0 NOT NULL,
FTRUSTEEID BIGINT DEFAULT 0 NOT NULL,
FENTRABILLID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSENDMSG CHAR(1) DEFAULT '1' NOT NULL,
FRECEIVEMSG CHAR(1) DEFAULT '0' NOT NULL,
FDELEGATETODO CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT '1' NOT NULL,
FSCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_DELEGATESETTING_L') 
 CREATE TABLE T_WF_DELEGATESETTING_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HIDELEGATESETTING') 
 CREATE TABLE T_WF_HIDELEGATESETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FDELEGATEID BIGINT DEFAULT 0 NOT NULL,
FASSIGNORID BIGINT DEFAULT 0 NOT NULL,
FTRUSTEEID BIGINT DEFAULT 0 NOT NULL,
FENTRABILLID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSENDMSG CHAR(1) DEFAULT '1' NOT NULL,
FRECEIVEMSG CHAR(1) DEFAULT '0' NOT NULL,
FDELEGATETODO CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT '1' NOT NULL,
FSCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HIDELEGATESETTING_L') 
 CREATE TABLE T_WF_HIDELEGATESETTING_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIPARTICIPANT' AND KSQL_COL_NAME ='FDELEGATEID') 
 ALTER TABLE T_WF_HIPARTICIPANT ADD (FDELEGATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIPARTICIPANT' AND KSQL_COL_NAME ='FISDISPLAY') 
 ALTER TABLE T_WF_HIPARTICIPANT ADD (FISDISPLAY CHAR(1) DEFAULT '1' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_PARTICIPANT' AND KSQL_COL_NAME ='FDELEGATEID') 
 ALTER TABLE T_WF_PARTICIPANT ADD (FDELEGATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_PARTICIPANT' AND KSQL_COL_NAME ='FISDISPLAY') 
 ALTER TABLE T_WF_PARTICIPANT ADD (FISDISPLAY CHAR(1) DEFAULT '1' NOT NULL );