﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PRECOMPUTORINSTANCE') 
 CREATE TABLE T_WF_PRECOMPUTORINSTANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FVALIDITY CHAR(1) DEFAULT '0' NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FACTID VARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTRYNODEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYTASKID BIGINT DEFAULT 0 NOT NULL,
FENTRYAUDITNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTRYNODENAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FENTRYAUDITNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PRECOMPUTORINSTANCE_L') 
 CREATE TABLE T_WF_PRECOMPUTORINSTANCE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FACTIVITYNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTRYNODENAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FENTRYAUDITNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PRECOMPUTORRESULT') 
 CREATE TABLE T_WF_PRECOMPUTORRESULT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISNORMAL CHAR(1) DEFAULT '1' NOT NULL,
FNODEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FASSIGNEE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FNODETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZIDENTIFYKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FNEXTNODEID VARCHAR(2000) DEFAULT ' ' NOT NULL,
FERRTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXCEPTIONMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXCEPTIONMSG_TAG NCLOB,
FNODENAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FASSIGNEENAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FERRMSG VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PRECOMPUTORRESULT_L') 
 CREATE TABLE T_WF_PRECOMPUTORRESULT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNODENAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FASSIGNEENAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FERRMSG VARCHAR(2000) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
