
EXEC p_AlterColumn 'T_WF_CASES', 'FENABLE', 'CHAR(1)', 'NOT NULL', '0011', '''1''';
EXEC p_AlterColumn 'T_WF_CASES', 'FNUMBER', 'VARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_CASES' AND KSQL_COL_NAME IN ('FPROCDEFID')) 
ALTER TABLE T_WF_CASES ADD (FPROCDEFID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_CASES' AND KSQL_COL_NAME IN ('FNEWPROCDEFID')) 
ALTER TABLE T_WF_CASES ADD (FNEWPROCDEFID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_CASES' AND KSQL_COL_NAME IN ('FCREATER')) 
ALTER TABLE T_WF_CASES ADD (FCREATER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_CASES' AND KSQL_COL_NAME IN ('FMODIFIER')) 
ALTER TABLE T_WF_CASES ADD (FMODIFIER BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TESTINGPLAN_L') 
 CREATE TABLE T_WF_TESTINGPLAN_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TESTINGPLAN') 
 CREATE TABLE T_WF_TESTINGPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCASEID BIGINT DEFAULT 0 NOT NULL,
FSTARTERID BIGINT DEFAULT 0 NOT NULL,
FSTARTERNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTITYNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FPATH NCLOB,
FBUSINESSKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FSCHEMENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FNEWSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FBILLJSON NCLOB,
FRESULTINFO NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FNEWBUSINESSKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_T_WF_TESTINGPLAN_L', 'T_WF_TESTINGPLAN_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_TESTINGPLAN_L_FID') CREATE INDEX IDX_WF_TESTINGPLAN_L_FID ON T_WF_TESTINGPLAN_L ( FID );

 EXEC P_ALTERPK 'PK_T_WF_TESTINGPLAN', 'T_WF_TESTINGPLAN', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_TESTINGPLAN_CASEID') CREATE INDEX IDX_WF_TESTINGPLAN_CASEID ON T_WF_TESTINGPLAN ( FCASEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME IN ('FSTATE')) 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FSTATE VARCHAR(15) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME IN ('FEXPECTEDGRAPH')) 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FEXPECTEDGRAPH NCLOB ); 
  

 EXEC p_AlterColumn 'T_WF_TESTINGPLAN_L', 'FDESCRIPTION', 'VARCHAR(2000)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN_L' AND KSQL_COL_NAME ='FSTARTERNAME') 
 ALTER TABLE T_WF_TESTINGPLAN_L ADD (FSTARTERNAME VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN_L' AND KSQL_COL_NAME ='FENTITYNAME') 
 ALTER TABLE T_WF_TESTINGPLAN_L ADD (FENTITYNAME VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN_L' AND KSQL_COL_NAME ='FSCHEMENAME') 
 ALTER TABLE T_WF_TESTINGPLAN_L ADD (FSCHEMENAME VARCHAR(100) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME IN ('FSTARTTIME')) 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FSTARTTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME IN ('FENDTIME')) 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FENDTIME DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FNAME VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FDESCRIPTION VARCHAR(2000) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME ='FAUTOTEST') 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FAUTOTEST CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME ='FPASSED') 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FPASSED CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPLAN' AND KSQL_COL_NAME ='FERRORINFO') 
 ALTER TABLE T_WF_TESTINGPLAN ADD (FERRORINFO NCLOB );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TESTINGPATH_L') 
 CREATE TABLE T_WF_TESTINGPATH_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNODENAME VARCHAR(500) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TESTINGPATH') 
 CREATE TABLE T_WF_TESTINGPATH (
FID BIGINT DEFAULT 0 NOT NULL,
FPLANID BIGINT DEFAULT 0 NOT NULL,
FNODEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FNODENAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FACTIVITYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECUTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECISION VARCHAR(50) DEFAULT ' ' NOT NULL,
FVARIABLES NCLOB,
FMODIFYEXP VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNEEID BIGINT DEFAULT 0 NOT NULL,
FSTEP VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FTARGETID VARCHAR(30) DEFAULT ' ' NOT NULL,
FCYCLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_T_WF_TESTINGPATH_L', 'T_WF_TESTINGPATH_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_TESTINGPATH_L') CREATE INDEX IDX_WF_TESTINGPATH_L ON T_WF_TESTINGPATH_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_T_WF_TESTINGPATH', 'T_WF_TESTINGPATH', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_TESTINGPATH_PLANID') CREATE INDEX IDX_WF_TESTINGPATH_PLANID ON T_WF_TESTINGPATH ( FPLANID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TESTINGPATH' AND KSQL_COL_NAME ='FACTINSTID') 
 ALTER TABLE T_WF_TESTINGPATH ADD (FACTINSTID VARCHAR(30) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TESTINGDECISION') 
 CREATE TABLE T_WF_TESTINGDECISION (
FID BIGINT DEFAULT 0 NOT NULL,
FPLANID BIGINT DEFAULT 0 NOT NULL,
FNODEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FDECISIONS VARCHAR(2000) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_T_WF_TESTINGDECISION', 'T_WF_TESTINGDECISION', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_TESTINGDECISION_PLANID') CREATE INDEX IDX_WF_TESTINGDECISION_PLANID ON T_WF_TESTINGDECISION ( FPLANID );
 