/** 新建分析中心调度 **/
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '33JAJ5E5NCVS';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('33JAJ5E5NCVS', 'kd.bos.workflow.analysis.task.WorkFlowAnalysisTask', 'WorkFlowAnalysisTask', 'wf');

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID = '33JAJ5E5NCVS';
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('33JAJ5E9=154', '33JAJ5E5NCVS', 'zh_CN', '分析中心数据初始化调度作业');

DELETE from T_SCH_JOB WHERE fid = '33JB4UOKTO6R';
INSERT INTO T_SCH_JOB  (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS)   
VALUES ('33JB4UOKTO6R', 'BIZ', 'kd.bos.workflow.analysis.task.WorkFlowAnalysisTask', '-1', 'WF_ANALYSISINITDATASJOBTASK_SKDJ_S', '33JAJ5E5NCVS', '1');

DELETE from T_SCH_JOB_L WHERE FID = '33JB4UOKTO6R';
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) 
VALUES ('33JB4UOKTE2X', '33JB4UOKTO6R', 'zh_CN', '分析中心数据初始化调度作业');


DELETE from T_SCH_SCHEDULE WHERE FID = '33JEH01Z=0MS';
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FBYDAYORWEEK, FDESC) 
VALUES ('33JEH01Z=0MS', '33JB4UOKTO6R', {ts'2022-03-25 01:00:00'}, {ts'2099-12-30 01:00:00'}, '0 0 1 * * ?', 'WF_ANALYSISINITDATASJOBTASK_SKDP_S', '1', 'd', 1, 'd', '事件将于每1天重复');

DELETE from T_SCH_SCHEDULE_L WHERE FID = '33JEH01Z=0MS';
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) 
VALUES ('33JEH01Z=/ZI', '33JEH01Z=0MS', 'zh_CN', '分析中心数据初始化调度计划');


/** 删除流程统计分析调度 **/
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '2B/SMA/V1/Z9';
DELETE FROM T_SCH_TASKDEFINE_L WHERE FID = '2B/SMA/V1/Z9';

DELETE from T_SCH_JOB WHERE fid = '2B/PHZJOFE7B';
DELETE from T_SCH_JOB_L WHERE FID = '2B/PHZJOFE7B';

DELETE from T_SCH_SCHEDULE WHERE FID = '2B/P=85A=3H0';
DELETE from T_SCH_SCHEDULE_L WHERE FID = '2B/P=85A=3H0';



/** 删除节点统计分析调度 **/
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '2B/SO/LUB9OC';
DELETE FROM T_SCH_TASKDEFINE_L WHERE FID = '2B/SO/LUB9OC';

DELETE from T_SCH_JOB WHERE fid = '2B/PJH7=89R5';
DELETE from T_SCH_JOB_L WHERE FID = '2B/PJH7=89R5';

DELETE from T_SCH_SCHEDULE WHERE FID = '2B/PB32119SX';
DELETE from T_SCH_SCHEDULE_L WHERE FID = '2B/PB32119SX';



/** 删除人员统计分析调度 **/
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '2B/SQE/L7N5O';
DELETE FROM T_SCH_TASKDEFINE_L WHERE FID = '2B/SQE/L7N5O';

DELETE from T_SCH_JOB WHERE fid = '2B/PLGH2/VQH';
DELETE from T_SCH_JOB_L WHERE FID = '2B/PLGH2/VQH';

DELETE from T_SCH_SCHEDULE WHERE FID = '2B/PC6GPMZP6';
DELETE from T_SCH_SCHEDULE_L WHERE FID = '2B/PC6GPMZP6';
